package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.Spread;
import com.lightinit.hsdatashow.entity.SpreadExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface SpreadMapper {
    long countByExample(SpreadExample example);

    int deleteByExample(SpreadExample example);

    int deleteByPrimaryKey(Long id);

    int insert(Spread record);

    int insertSelective(Spread record);

    List<Spread> selectByExample(SpreadExample example);

    Spread selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") Spread record, @Param("example") SpreadExample example);

    int updateByExample(@Param("record") Spread record, @Param("example") SpreadExample example);

    int updateByPrimaryKeySelective(Spread record);

    int updateByPrimaryKey(Spread record);

    List<Spread> getSpread();
}